from dl.src.info.base import BaseInfo


class BetaVAEInfo(BaseInfo):
    def __init__(self, args, **kwargs):
        super(BetaVAEInfo, self).__init__(args, **kwargs)
        self.beta = args.beta

        self.elbo = kwargs["elbo"]
        self.obj = kwargs['obj']
        self.reconst = kwargs["reconst"]
        self.kld = kwargs["kld"]